<?php

include "conexao.php";

function dados_quadra($quadra_id, $db)
{
	$query_amigo = "SELECT * FROM produto                           
	WHERE idproduto = $quadra_id";

	$executa_query = mysqli_query($db, $query_amigo) or die(mysqli_error($db));;
	while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) { //--verifica se são amigos           
		$quadra   = $buscar_amigo['quadra'];
	}

	return $quadra;
}

function dados_lote($lote_id, $db)
{
	$query_amigo = "SELECT * FROM lote                    
	WHERE idlote = $lote_id";
	$executa_query = mysqli_query($db, $query_amigo) or die(mysqli_error($db));

	while ($buscar_amigo = mysqli_fetch_assoc($executa_query)) { //--verifica se são amigos           
		$lote   = $buscar_amigo['lote'];
	}

	return $lote;
}

if (isset($_POST["valida_form"])) {

	$inner = "";
	$where = "";

	if (isset($_POST["cliente_idcliente"]) && $_POST["cliente_idcliente"] != "Todos") {
		$id_cli = $_POST["cliente_idcliente"];
		$where .= " AND venda.cliente_idcliente = $id_cli";
	}

	// 	if(isset($_POST["empreendimento_id"]) && $_POST["empreendimento_id"] != "Todos"){
	// 		$id_empreendimento = $_POST["empreendimento_id"];

	// 		$inner .= " INNER JOIN produto on venda.produto_idproduto = produto.idproduto";
	// 		$where .= " AND produto.empreendimento_idempreendimento = $id_empreendimento";
	// 	}

	if (isset($_POST["idquadra"]) && $_POST["idquadra"] != "Todos" && $_POST["idquadra"] != 0) {
		$id_produto = $_POST["idquadra"];

		$where .= " AND venda.produto_idproduto = $id_produto";
	}

	if (isset($_POST["idlote"]) && $_POST["idlote"] != "Todos" && $_POST["idlote"] != 0) {

		$id_lote = $_POST["idlote"];

		$where .= " AND venda.lote_idlote = $id_lote";
	}


	$query = "SELECT cliente.nome_cli, endereco_cli.endereco_cli, endereco_cli.numero_cli,endereco_cli.complemento_cli, endereco_cli.cidade_cli, endereco_cli.bairro_cli, endereco_cli.bairro_cli, endereco_cli.cep_cli, endereco_cli.estado_cli, venda.produto_idproduto, venda.lote_idlote FROM venda INNER JOIN cliente on venda.cliente_idcliente = cliente.idcliente INNER JOIN produto ON produto.idproduto = venda.produto_idproduto INNER JOIN  empreendimento_cadastro ON produto.empreendimento_idempreendimento =  empreendimento_cadastro.idempreendimento_cadastro
INNER JOIN endereco_cli ON endereco_cli.id_cliente = venda.cliente_idcliente
		$inner WHERE idvenda > 0 $where	";

	$query = mysqli_query($db, $query) or die(mysqli_error($db));

	$dados = array();
	while (mysqli_num_rows($query) > 0 && $aux_query = mysqli_fetch_assoc($query)) {

		$dado = null;

		$dado[]  = $aux_query['nome_cli'];
		$dado[]	 = $aux_query['cidade_cli'];


		$aux_query['estado_cli'] == '' ? $aux_query['estado_cli'] = "Não Consta" : '';

		$dado[] = $aux_query['estado_cli'];



		$dado[]  = $aux_query['endereco_cli'];

		$dado[]  = $aux_query['descricao_empreendimento'];



		$aux_query['numero_cli'] == '' ? $aux_query['numero_cli'] = "Não Consta" : '';

		$dado[] = $aux_query['numero_cli'];


		$dado[]  = $aux_query['bairro_cli'];
		$dado[]  = $aux_query['cep_cli'];
		$dado[]	 = dados_quadra($aux_query['produto_idproduto'], $db);
		$dado[]	 = dados_lote($aux_query['lote_idlote'], $db);

		$aux_query['complemento_cli'] == '' ? $aux_query['complemento_cli'] = "Não Consta" : '';

		$dado[]  = $aux_query['complemento_cli'];

		$dados[] = $dado;
	}

	echo json_encode($dados);
}
